Retrieve all participant verifier certificates
/v1/ecosystems/{ecosystemId}/participants/{participantId}/verifier-certificatesRetrieve all verifier certificates for the specified participant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidQuery Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/verifier-certificates"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "certificateFingerprint": "string", "certificatePem": "string", "status": "Active", "linkCertificateInfo": { "issuerCertificateId": "23838a57-a5a0-4d6b-bac1-848c066a68a2", "certificatePem": "string", "certificateFingerprint": "string" } } ], "nextCursor": "string"}How would you rate this page?
Create a participant verifier certificate POST
Create a new verifier certificate for the specified participant. The certificatePem field cannot be modified once the certificate is created. To maintain trust continuity across a certificate rotation, provide `linkCertificateInfo` to add this certificate as a successor to a previously uploaded certificate. Link certificates can only be added when the certificate is created, not when it is updated.
Retrieve a participant verifier certificate GET
Retrieve a specific verifier certificate for the specified participant.